With xenial:

apt install x2goserver x2gomatebindings x2golxdebindings --install-suggests --install-recommends --fix-broken --fix-missing
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
x2goserver : Depends: x2goserver-x2goagent (>= 4.1.0.0-0~1517~ubuntu16.04.1) but it is not going to be installed Depends: x2goserver-x2goagent (< 4.1.0.0-0~1517~ubuntu16.04.1.1~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

With artful:

apt install x2goserver x2gomatebindings x2golxdebindings --install-suggests --install-recommends --fix-broken --fix-missing
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
gnome-flashback-common gsettings-ubuntu-schemas libfcitx-config4 libfcitx-gclient0 libfcitx-utils0 libframe6 libgeis1 libglewmx1.13 libgrail6 libnux-4.0-0 libunity-core-6.0-9 libunity-settings-daemon1 unity-schemas unity-services
  unity-settings-daemon
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
cups-x2go libnx-x11-6 libx2go-log-perl libx2go-server-db-perl libx2go-server-perl libxcompshad3 nx-x11-common nxagent x2goserver-common x2goserver-extensions x2goserver-fmbindings x2goserver-printing x2goserver-x2goagent
  x2goserver-xsession
The following NEW packages will be installed:
cups-x2go libnx-x11-6 libx2go-log-perl libx2go-server-db-perl libx2go-server-perl libxcompshad3 nx-x11-common nxagent x2golxdebindings x2gomatebindings x2goserver x2goserver-common x2goserver-extensions x2goserver-fmbindings
  x2goserver-printing x2goserver-x2goagent x2goserver-xsession
0 upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,743 kB of archives.
After this operation, 8,361 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu xenial/universe amd64 cups-x2go all 3.0.1.3-1 [10.3 kB] Get:2 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 nx-x11-common all 2:3.5.99.15-0~201803072246~ubuntu17.10.1 [54.7 kB] Get:3 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 libnx-x11-6 amd64 2:3.5.99.15-0~201803072246~ubuntu17.10.1 [612 kB] Get:4 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2goserver-common amd64 4.1.0.0-0~1517~ubuntu17.10.1 [38.7 kB] Get:5 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 libx2go-log-perl all 4.1.0.0-0~1517~ubuntu17.10.1 [36.4 kB] Get:6 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 libx2go-server-db-perl amd64 4.1.0.0-0~1517~ubuntu17.10.1 [48.0 kB] Get:7 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 libx2go-server-perl all 4.1.0.0-0~1517~ubuntu17.10.1 [45.7 kB] Get:8 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 libxcompshad3 amd64 2:3.5.99.15-0~201803072246~ubuntu17.10.1 [62.4 kB] Get:9 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 nxagent amd64 2:3.5.99.15-0~201803072246~ubuntu17.10.1 [1,502 kB] Get:10 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2goserver-x2goagent all 4.1.0.0-0~1517~ubuntu17.10.1 [42.7 kB] Get:11 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2goserver amd64 4.1.0.0-0~1517~ubuntu17.10.1 [103 kB] Get:12 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2golxdebindings all 1.0.2.4-0~70~ubuntu17.10.1 [5,700 B] Get:13 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2goserver-extensions all 4.1.0.0-0~1517~ubuntu17.10.1 [40.2 kB] Get:14 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2gomatebindings amd64 0.0.1.5-0~203~ubuntu17.10.1 [24.6 kB] Get:15 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2goserver-fmbindings all 4.1.0.0-0~1517~ubuntu17.10.1 [37.3 kB] Get:16 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2goserver-printing all 4.1.0.0-0~1517~ubuntu17.10.1 [41.0 kB] Get:17 http://ppa.launchpad.net/x2go/stable/ubuntu artful/main amd64 x2goserver-xsession all 4.1.0.0-0~1517~ubuntu17.10.1 [38.9 kB]
Unpacking x2golxdebindings (1.0.2.4-0~70~ubuntu17.10.1) ...
Selecting previously unselected package x2goserver-extensions.
Preparing to unpack .../x2goserver-extensions_4.1.0.0-0~1517~ubuntu17.10.1_all.deb ...
Unpacking x2goserver-extensions (4.1.0.0-0~1517~ubuntu17.10.1) ...
Selecting previously unselected package x2gomatebindings.
Preparing to unpack .../x2gomatebindings_0.0.1.5-0~203~ubuntu17.10.1_amd64.deb ...
Unpacking x2gomatebindings (0.0.1.5-0~203~ubuntu17.10.1) ...
Selecting previously unselected package x2goserver-fmbindings.
Preparing to unpack .../x2goserver-fmbindings_4.1.0.0-0~1517~ubuntu17.10.1_all.deb ...
Unpacking x2goserver-fmbindings (4.1.0.0-0~1517~ubuntu17.10.1) ...
Selecting previously unselected package x2goserver-printing.
Preparing to unpack .../x2goserver-printing_4.1.0.0-0~1517~ubuntu17.10.1_all.deb ...
Unpacking x2goserver-printing (4.1.0.0-0~1517~ubuntu17.10.1) ...
Selecting previously unselected package x2goserver-xsession.
Preparing to unpack .../x2goserver-xsession_4.1.0.0-0~1517~ubuntu17.10.1_all.deb ...
Unpacking x2goserver-xsession (4.1.0.0-0~1517~ubuntu17.10.1) ...
Processing triggers for fontconfig (2.11.94-0ubuntu1.1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for doc-base (0.10.7) ...
Processing 5 added doc-base files...
Registering documents with scrollkeeper...
Processing triggers for systemd (229-4ubuntu21.1) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Processing triggers for mate-icon-theme (1.18.2-1+sonya) ...
Setting up cups-x2go (3.0.1.3-1) ...
Setting up nx-x11-common (2:3.5.99.15-0~201803072246~ubuntu17.10.1) ...
Setting up libnx-x11-6:amd64 (2:3.5.99.15-0~201803072246~ubuntu17.10.1) ...
Setting up x2goserver-common (4.1.0.0-0~1517~ubuntu17.10.1) ...
Creating x2gouser group.
Adding group `x2gouser' (GID 126) ...
Done.
Creating x2gouser user.
Adding system user `x2gouser' (UID 118) ...
Adding new user `x2gouser' (UID 118) with group `x2gouser' ...
Not creating home directory `/var/lib/x2go'.
Setting up libx2go-log-perl (4.1.0.0-0~1517~ubuntu17.10.1) ...
Setting up libx2go-server-db-perl (4.1.0.0-0~1517~ubuntu17.10.1) ...
Setting up libx2go-server-perl (4.1.0.0-0~1517~ubuntu17.10.1) ...
Setting up libxcompshad3:amd64 (2:3.5.99.15-0~201803072246~ubuntu17.10.1) ...
Setting up nxagent (2:3.5.99.15-0~201803072246~ubuntu17.10.1) ...
Setting up x2goserver-x2goagent (4.1.0.0-0~1517~ubuntu17.10.1) ...
Setting up x2goserver (4.1.0.0-0~1517~ubuntu17.10.1) ...
Setting up x2golxdebindings (1.0.2.4-0~70~ubuntu17.10.1) ...
Setting up x2goserver-extensions (4.1.0.0-0~1517~ubuntu17.10.1) ...
Setting up x2gomatebindings (0.0.1.5-0~203~ubuntu17.10.1) ...
Setting up x2goserver-fmbindings (4.1.0.0-0~1517~ubuntu17.10.1) ...
Setting up x2goserver-printing (4.1.0.0-0~1517~ubuntu17.10.1) ...
Creating x2goprint group.
Adding group `x2goprint' (GID 131) ...
Done.
Creating x2goprint user.
Warning: The home dir /var/spool/x2goprint you specified already exists.
Adding system user `x2goprint' (UID 123) ...
Adding new user `x2goprint' (UID 123) with group `x2goprint' ...
The home directory `/var/spool/x2goprint' already exists. Not copying from `/etc/skel'. adduser: Warning: The home directory `/var/spool/x2goprint' does not belong to the user you are currently creating.
Setting up x2goserver-xsession (4.1.0.0-0~1517~ubuntu17.10.1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for systemd (229-4ubuntu21.1) ...
Processing triggers for ureadahead (0.100.0-19) ...

     Yakkety and zesty would also install but would not work, artful works.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
 Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
   Knowledgeable human assistance, not telephone trees or script readers.
 See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Sun, 11 Mar 2018, Mihai Moldovan wrote:

Date: Sun, 11 Mar 2018 05:57:37 +0100
From: Mihai Moldovan <io...@ionic.de>
To: Robert Dinse <nan...@eskimo.com>
Cc: x2go-user@lists.x2go.org
Subject: Re: [X2Go-User] LinuxMint 18.3 upgrade fails

* On 03/11/2018 05:56 AM, Robert Dinse wrote:
      It got it to work, xenial was broken, and everything prior had wrong
library version for the Mint 18.3 X-server.  Since I am doing some work on the
machine tonight I really needed it to work, it was either that or vnc which is
extremely painful.

But you said the Xenial repo still fails to upgrade on Mint 18.3? Is that still
the case?

I guess I'll just try to see what happens myself.



Mihai


_______________________________________________
x2go-user mailing list
x2go-user@lists.x2go.org
https://lists.x2go.org/listinfo/x2go-user

Reply via email to